Bug 1018911 - Packstack creates duplicate cirros images in glance
Packstack creates duplicate cirros images in glance
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 12:45 EDT by Steven Hardy
Modified: 2016-04-18 02:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-packstack-2014.2-0.16.dev1447.g6f4d34b.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:11:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1199513 None None None Never
OpenStack gerrit 92015 None None None Never

  None (edit)
Description Steven Hardy 2013-10-14 12:45:00 EDT
Description of problem:
Packstack creates duplicate cirros images in glance

Version-Release number of selected component (if applicable):
openstack-packstack-2013.2.1-0.10.dev763.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run packstack
2. Run packstack again with the answerfile created in step(1)


Actual results:
Each time you run packstack, it creates a cirros image in glance, even if the image already exists

Expected results:
IMO packstack should only create an image in glance if one doesn't already exist.

Additional info:
Comment 1 Ivan Chavero 2014-04-22 19:58:34 EDT
Confirmed that the provision manifest creates a cirros image in glance every time it's run.
Comment 2 Ivan Chavero 2014-05-04 12:20:50 EDT
Added patch https://review.openstack.org/#/c/92015/

Note You need to log in before you can comment on or make changes to this bug.